Subject: bug#5414: 23.1.91; /sys/devices files trigger loading tramp

From: Chong Yidong <[email-masked]>
Date: Wed, 20 Jan 2010 20:40:25 -0500

Michael Albinus <[email-masked]> writes:

> Tramp is loaded due to `rfn-eshadow-update-overlay'. In the loop
> commented with "Binary search ...", it recomputes `mid', and calls
> `rfn-eshadow-sifn-equal'. This function applies
> `substitute-in-file-name' for a part of the the whole file name, which
> looks like a remote file name, accidently. Bingo!
>
> I wouldn't regard it as a bug. One could argue, that rfn-shadow should
> deactivate file name handlers for its work, but this might result in
> collateral damages.

Thanks for tracking this down.  I agree, there doesn't seem to be any
satisfactory way to get around this.  I'll close the bug.